import { onMounted, onUnmounted, ref } from 'nativescript-vue';
import { matchMedia } from '@nativescript-use/nativescript-media-query';
/**
 * Reactive Media Query.
 *
 * @param mediaQueryString
 */
export function useMediaQuery(mediaQueryString) {
    const mql = matchMedia(mediaQueryString);
    const matches = ref(mql.matches);
    const onChange = (event) => {
        matches.value = event.matches;
    };
    onMounted(() => {
        mql.addListener(onChange);
    });
    onUnmounted(() => {
        mql.removeListener(onChange);
    });
    return matches;
}
//# sourceMappingURL=index.js.map